Page MenuHomePhabricator

[coroutines] Add missing pass dependency.
ClosedPublic

Authored by ben-clayton on Jun 11 2019, 9:20 AM.

Details

Summary

CoroSplit depends on CallGraphWrapperPass, but it was not explicitly adding it as a pass dependency.

This missing dependency can trigger errors / assertions / crashes in PMTopLevelManager::schedulePass() under certain configurations.

Diff Detail

Repository
rL LLVM

Event Timeline

ben-clayton created this revision.Jun 11 2019, 9:20 AM
Herald added a project: Restricted Project. · View Herald TranscriptJun 11 2019, 9:20 AM
capn added a subscriber: capn.Jun 12 2019, 1:45 PM
GorNishanov accepted this revision.Jun 17 2019, 5:46 PM

LGTM! Thank you for fixing it.

This revision is now accepted and ready to land.Jun 17 2019, 5:46 PM

Thank you for the approval Gor.
I still do not have permissions to submit changes. If you would be so kind :)

Cheers,
Ben

This revision was automatically updated to reflect the committed changes.